---
title: "Lipinski Evaluation of Drug Molecules"
author: "George Oche Ambrose"
date: "2/28/2024"
output:
  pdf_document: default
  html_document: default
---
Usage
To get started with LipinskiFilters, load the package using:

```{r}
library(LipinskiFilters)
```

Set working directory containing co-catenated compounds in SDF format

```{r}
file<-system.file("extdata", "test.sdf", package = "LipinskiFilters")
```


Read sdf molecules

```{r}
mols<-load.molecules(file)
```


Computing Molecular Properties
You can compute molecular properties using the compute_properties function. Here's an example:
```{r}
properties <- compute_properties(mols)
print(properties)
```


Creating Lipinski Plots
Visualize Lipinski Rule of Five parameters using the create_lipinski_plots function:
```{r}
create_lipinski_plots(properties)
```

Druglikeness evaluation

```{r}
assess_drug_likeness(properties)
```


Bioavailability prediction

```{r}
predict_oral_bioavailability(properties)
```
